Subject: [Detnet] WG Last Call: draft-ietf-detnet-data-plane-framework-02 - David Black's comments

From: "Black, David" <[email-masked]>
Date: Fri, 4 Oct 2019 00:48:02 +0000

Comments follow - mostly nits/editorial, a few minor issues.

-- 3.  DetNet Data Plane Overview

   The DetNet Architecture,

   [I-D.ietf-detnet-architecture<https://tools.ietf.org/html/draft-ietf-detnet-data-plane-framework-02#ref-I-D.ietf-detnet-architecture>], models the DetNet related data plane

   functions decomposed into two sub-layers:

Nit: functions decomposed -> functions as decomposed

-- 3.1.  Data Plane Characteristics

Nit: DN acronym needs to be added to the abbreviation list in Section 2.2

Editorial: Figure 2 seems pointless, could be removed, ok to keep if contrast with Figure 3 is deemed important.

-- 3.2.  Encapsulation

OLD

   The encapsulation of the DetNet flows allows them to be sent over a

   data plane technology other than their native type.

NEW

   Encapsulation of DetNet flows enables them to be sent over a

   data plane technology other than their native data plane.

-- 3.3.  DetNet Specific Metadata

Minor: Need to explain Implicit vs. Explicit inclusion of metadata before using those concepts.

Minor: Paragraph on IP options and IP extension headers seems speculative.  Suggest removal.

--  3.5.  DetNet MPLS Data Plane

   In cases where metadata is needed to process an MPLS encapsulated

   packet at the service sub-layer, a shim layer also called a control

   word (CW) [RFC4385<https://tools.ietf.org/html/rfc4385>] can be used.

Nit: Remove "also"

-- 3.6.  Further DetNet Data Plane Considerations

Editorial: Please cite a reference for Network Coding.

-- 3.6.2.  Aggregation Considerations

The notion of DetNet "service type" shows up here for the first time.  That needs to be defined/explained back in Section 3.1.

-- 5.  Security Considerations

   From a data plane perspective DetNet does not add or modify any

   header information.

Minor: That text is not correct - see all the discussion of encapsulation earlier in the draft, where DetNet is clearly adding and removing headers.

Minor: Last paragraph of the Security Considerations section discusses network attacks on DetNet service.   That should be complemented by discussion of DetNet attacks on other networks via flow escape, as we've discussed in the past with focus on the IP data plane.

Thanks, --David

From: detnet <[email-masked]> On Behalf Of Grossman, Ethan A.
Sent: Monday, September 23, 2019 6:38 PM
To: [email-masked]
Subject: [Detnet] WG Last Call: draft-ietf-detnet-data-plane-framework-02

[EXTERNAL EMAIL]

All,

This starts a two-week working group last call for draft-ietf-detnet-data-plane-framework-02.

The working group last call ends on Monday October 7. Please send your comments to the working group mailing list.

Positive comments, e.g., "I've reviewed this document and believe it is ready for publication", are welcome!

This is useful and important, even from authors.

Thank you,

Ethan Grossman, Document Shepherd